Subject: bug#19622: 25.0.50; Spell checking and Unicode don't mix...

From: "Perry E. Metzger" <[email-masked]>
Date: Mon, 19 Jan 2015 08:15:01 -0500

On Mon, 19 Jan 2015 05:35:18 +0200 Eli Zaretskii <[email-masked]> wrote:
> > Say you're using a mode (like typopunct) which automatically
> > inserts "proper" Unicode close single quote marks while you're
> > typing. You then would spell "hadn't" as "hadn’t", say.
> > 
> > Say you're also using flyspell mode (or even normal ispell
> > checks).
> > 
> > "hadn’t" will then be flagged as misspelled, mostly because none
> > of the tools seem to understand that "’" is the same as "'" under
> > the circumstances.
> > 
> > It would be really handy if the spell checker was happy with
> > either.
> 
> It's up to the speller, so it isn't an Emacs problem/bug/issue.  The
> characters that are word constituent are stated in the .aff file for
> the language you use, and they come with the speller (and are
> tailored to what the speller does and doesn't know about the word
> structure). Emacs cannot fix that.

Emacs could replace punctuation on its way down the pipe to
the inferior process if it wishes to as a stop gap. The number of
changes needed is small (so far as I know, more or less just the one.)

Perry
-- 
Perry E. Metzger		[email-masked]